#
# R Script zur Lösung MMM Übung 8.1
# Autor: Christoph Dalitz
# Datum: 27.08.2013
#

if (!interactive()) { postscript("ueb08-plot.ps") }

k <- 11

mu <- 1
sigma <- 2

N <- 50 # number of random samples
x <- rnorm(N,mu,sigma)

xx <- seq(min(x),max(x),by=0.01)
kNN <- rep(0, length(xx))
i <- 0
for (y in xx) {
  i <- i+1
  dists <- sort(abs(x - y))
  kNN[i] <- k / (N*dists[k]*2)
}

yy <- dnorm(xx,mu,sigma)
#plot(xx,yy,ylim=c(0,max(max(yy),max(kNN))),type="l",col="red",xlab="x",ylab="p(x)")
plot(xx,yy,ylim=c(0,max(yy)*1.5),type="l",col="red",xlab="x",ylab="p(x)")

lines(xx,kNN,col="green")


legend("topright",c("true density","kNN"),lty=c(1,1),col=c("red","green"))
